#include <iostream>

using namespace std;

// 声明变量 n 为 int 类型
extern int n;
// void 表示无返回数据
void test2()
{
    // 假如存在一个全局变量 n
    n += 20; // n=n+20; += 符合赋值运算符
    cout << "int test2 function n = " << n << endl;
}

int n = 10;
int main()
{
    test2();
    cout << "int main function n = " << n << endl;
    return 0;
}
